Skip to Content

Live

GET /api/analytics/live

Live dashboard series for concurrent viewers over time. contentId must be a live event id.

Requires analytics.read. See Overview for shared parameters and category scope.

Parameters

ParameterRequiredDescription
contentIdYesLive event id
contentTypeNoDefaults to live
from, toNoISO 8601 range. If omitted, Ignite can derive a window from the live event schedule.
bucketSecondsNoSeries bucket size (153600). Default 60.
windowSecondsNoConcurrent-viewer window. Default 20.

Request

curl -X GET "https://app.ignitevideo.cloud/api/analytics/live?contentId=LIVE_EVENT_ID" \ -H "Authorization: Bearer YOUR_API_KEY"

Response

{ "contentType": "vod" | "live", "contentId": string, "from": string, "to": string, "bucketSeconds": number, "windowSeconds": number, "current": number, "totalSessions": number, "series": [ { "periodStart": string, "viewers": number }, [...] ] }